Last Comment Bug 890569 - Disable system-keyboard auto-suggest for Marketplace Search
: Disable system-keyboard auto-suggest for Marketplace Search
Status: RESOLVED FIXED
p=1
:
Product: Marketplace
Classification: Server Software
Component: Consumer Pages (show other bugs)
: 1.0
: ARM Gonk (Firefox OS)
: -- normal (vote)
: 2013-07-18
Assigned To: Christopher Van Wiemeersch [:cvan]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 16:58 PDT by Harald Kirschner :digitarald
Modified: 2013-07-18 12:07 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Harald Kirschner :digitarald 2013-07-05 16:58:04 PDT
When typing in the search field words are suggested and auto-completed.

Current behaviour:
Searching for app names like "Tu.me" is painful when "tu" gets autocompleted to "tug" when typing the ".". I had to try and error until I noticed that backspace reverts the autocomplete.

Expected behaviour:
Disable auto-complete for the keyboard in the search field for a smooth type-and-search experience.

Autocompletion like Marketplace had it before for app names might also help to make it easier, but that is a different topic.

Marked as critical as it severely impacts the findability of specific apps when typing the name is a frustrating experience.
Comment 1 Wil Clouser [:clouserw] 2013-07-07 20:52:29 PDT
You're talking about the main search field on the site?

Is this something controlled by the app?  I assumed text input was controlled by the OS.  Even if it was possible to change in the app I don't think the argument above would outweigh all the people expecting the auto-correct to work.  Backspacing to revert autocomplete is standard on all implementations I know of.

Marketplace powered autocomplete is still the end goal, but the actual interaction is still being developed by UX.

I'm going to wontfix this.  If you're talking about a different search field or a different interaction that I'm not understanding feel free to reopen. Thanks.
Comment 2 Harald Kirschner :digitarald 2013-07-09 08:59:23 PDT
Its not something that can be controlled in the app.

We don't target smartphone users, so backspace to revert is a pattern that our users need to discover first by trial and error.

On other devices like iOS and Android, system and store search fields are *not* having auto-suggestion enabled. Maybe we need to look into the Marketplace case to have an HTML5 attribute to control auto-suggestion.

As I have my doubts from experiencing search and getting blocked by auto complete; and seeing the same from others, I would make that a UX/UR bug to do research if auto-complete is an expected behavior that really helps users to find an app.
Comment 3 Harald Kirschner :digitarald 2013-07-09 09:00:26 PDT
Any input from UX on Comment 2?
Comment 4 Maureen Hanratty 2013-07-09 10:37:13 PDT
I'm not able to replicate this on my Unagi device or on desktop. It is not autocompleting at all for me. Can you post a screenshot Harald?
Comment 5 Harald Kirschner :digitarald 2013-07-09 17:43:34 PDT
Just to clarify: By autocomplete/autosuggest I mean the word suggestions coming from the keyboard and the autocorrection when finishing a word with space or punctuation.

Example: typing "tou" triggering suggesting "you" and corrects the word with "you" when typing space or punctuation. Tested on 1.1 Unagi.

Screenshot: http://grab.by/okga

Verify [Settings > Keyboard > Auto correction/Word suggestion]. I am unsure if Auto correction is on by default, but as I didn't switch it on I assume the default is On.
Comment 6 Wil Clouser [:clouserw] 2013-07-09 18:52:22 PDT
(In reply to Harald Kirschner :digitarald from comment #2)
> Its not something that can be controlled in the app.

What would be the right product/component for this?
Comment 7 Harald Kirschner :digitarald 2013-07-09 21:39:23 PDT
Travis, please see the thread above and how apps need more fine-grained control over keyboard features like enabling/disabling word-suggestions and/or auto-correct.

The solution might be a new html5 input attribute autocorrect="no" or thinking about disabling auto correct for type="search" inputs; just to throw in 2 ideas.
Comment 8 Rob Hudson [:robhudson] 2013-07-18 09:38:08 PDT
Moving to consumer pages as this seems closer to where the change might need to take place (whatever the change may end up being).
Comment 9 Wil Clouser [:clouserw] 2013-07-18 11:11:06 PDT
(In reply to Rob Hudson [:robhudson] from comment #8)
> Moving to consumer pages as this seems closer to where the change might need
> to take place (whatever the change may end up being).

It's not a marketplace bug.  I'll guess at a more appropriate place for it
Comment 10 Jason Smith [:jsmith] 2013-07-18 11:21:55 PDT
So disabling I don't think is the right solution here - this is 1.1 feature for the keyboard auto suggestion. What I think we need to do here instead is address the bugs associated with keyboard auto suggestion - we're still knocking out kinks here. I'm switching the title around to the problem cited in comment 0 and putting this into the keyboard component.
Comment 11 Jason Smith [:jsmith] 2013-07-18 11:23:24 PDT
David - Any thoughts here on what we could do better here for auto correct?
Comment 12 Jason Smith [:jsmith] 2013-07-18 11:26:59 PDT
Also - switching the needinfo for UX to the client-side UX team, as this handled by Jamie's team.
Comment 13 Jason Smith [:jsmith] 2013-07-18 12:01:20 PDT
Disregard the needinfos now. I understand what Harald is asking for here.

HTML supports an attribute called autocorrect="off" to allow a text field to declare that they do not want auto correction not present. What Harald is asking for is to change the search field on marketplace to turn off auto correct, as search should not be taking advantage of auto-correct per Harald's concerns. If this is not implemented, then the auto correct feature we have enabled in 1.1 will become active during use of search on marketplace, which this bug is arguing against.

Bouncing back over to marketplace as such.

Code Example - http://www.quirksmode.org/html5/tests/inputs_attributes.html
Gaia Example - https://github.com/mozilla-b2g/gaia/blob/master/apps/homescreen/index.html#L94
Comment 14 Christopher Van Wiemeersch [:cvan] 2013-07-18 12:07:17 PDT
https://github.com/mozilla/fireplace/commit/09e4782

Note You need to log in before you can comment on or make changes to this bug.